//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#pragma hdrstop

#include "config.h"
#include "frmsched.h"
//---------------------------------------------------------------------------
#pragma resource "*.dfm"
TfrmConfig *frmConfig;
//---------------------------------------------------------------------------
__fastcall TfrmConfig::TfrmConfig(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmConfig::btnFileSelectClick(TObject *Sender)
{
    if (OpenDialog->Execute())
    {
		EditProgramPath->Text = OpenDialog->FileName;
    }
}
//---------------------------------------------------------------------------
void __fastcall TfrmConfig::SaveConfig(void)
{
        if (InEditConfigMode)
        {
           MainForm->lstboxDescription->Items->Strings[MainForm->lstboxDescription->ItemIndex] = EditDesc->Text;
           MainForm->lstboxTime->Items->Strings[MainForm->lstboxTime->ItemIndex] = EditTime->Text;
           MainForm->lstboxProgramPath->Items->Strings[MainForm->lstboxProgramPath->ItemIndex] = EditProgramPath->Text;
           SaveConfigToFile();
        }
        else
        {
	   MainForm->lstboxDescription->Items->Add(EditDesc->Text);
	   MainForm->lstboxTime->Items->Add(EditTime->Text);
	   MainForm->lstboxProgramPath->Items->Add(EditProgramPath->Text);
           SaveConfigToFile();
        }
}
//---------------------------------------------------------------------------
void __fastcall TfrmConfig::SaveConfigToFile(void)
{
   FILE *IniFile;
   AnsiString ScheduleLine;
   IniFile = fopen(MainForm->IniFileName.c_str(), "w");
   if (!IniFile)
      MessageBox(0, "File I/O Error", "No INI File", MB_ICONASTERISK);
   else
      {
          for (int index=0; index < MainForm->lstboxDescription->Items->Count; index++)
          {
              ScheduleLine = MainForm->lstboxDescription->Items->Strings[index].Trim() + ";" +
	                     MainForm->lstboxTime->Items->Strings[index].Trim() + ";" +
                             MainForm->lstboxProgramPath->Items->Strings[index].Trim() + "\n";
              fputs(ScheduleLine.c_str(), IniFile);
          }

   	  fclose(IniFile);

        }
}
//---------------------------------------------------------------------------

//---------------------------------------------------------------------------
void __fastcall TfrmConfig::btnOkClick(TObject *Sender)
{
     SaveConfig();
}
//---------------------------------------------------------------------------
void __fastcall TfrmConfig::FormCreate(TObject *Sender)
{
     InEditConfigMode = false;        
}
//---------------------------------------------------------------------------
